API Reference2026-02-18 (Latest)Merchants
Update a crypto settlement destination
PUT
header
Api-Key<token>id*stringCrypto settlement ID
Length
1 <= length <= 256merchantId*stringapplication/json- body
destination*stringCAIP-10 account identifier for the wallet that should receive the settled funds. Format: <namespace>:<chain_reference>:<address>. The chain (<namespace>:<chain_reference>) must match the chain of the corresponding asset.
Match
^[-a-zA-Z0-9]{3,8}:[-a-zA-Z0-9]{1,32}:[-a-zA-Z0-9]{1,128}$Length
1 <= length <= 256Settlement updated
application/json- response
id*stringCrypto settlement ID
asset*stringCAIP-19 asset identifier for the token to settle in. Format: <namespace>:<chain_reference>/<asset_namespace>:<asset_reference>. For example, USDC on Base is eip155:8453/erc20:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913.
Match
^[-a-zA-Z0-9]{3,8}:[-a-zA-Z0-9]{1,32}\/[-a-zA-Z0-9]{3,8}:[-a-zA-Z0-9]{1,128}$Length
1 <= length <= 256destination*stringCAIP-10 account identifier for the wallet that should receive the settled funds. Format: <namespace>:<chain_reference>:<address>. The chain (<namespace>:<chain_reference>) must match the chain of the corresponding asset.
Match
^[-a-zA-Z0-9]{3,8}:[-a-zA-Z0-9]{1,32}:[-a-zA-Z0-9]{1,128}$Length
1 <= length <= 256curl -X PUT 'https://api.pay.walletconnect.com/v1/merchants/string/settlements/crypto/crypto_Xk7nWp8XmQj2YrTv6' \ -H 'Content-Type: application/json' \ -d '{ "destination": "eip155:8453:0x1234567890abcdef1234567890abcdef12345678"}'{ "id": "crypto_Xk7nWp8XmQj2YrTv6", "asset": "eip155:8453/erc20:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913", "destination": "eip155:8453:0x1234567890abcdef1234567890abcdef12345678"}